apiVersion: v1
kind: ResourceQuota
metadata:
  name: project1-resource-quota
spec:
  hard:
    requests.cpu: "4"       # the limits of the sum of requested CPU
    requests.memory: 16Gi   # the limits of the sum of requested memory
    limits.cpu: "4"         # the total CPU limits can’t exceed this value
    limits.memory: 4Gi      # the limits of total memory limit
    requests.storage: 64Gi  # the limits of sum of storage requests across PV claims
    pods: "4"               # the limits of pod number
